GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::io::ParsedNetworkData Struct Reference

Holds the data parsed from a network file. More...

`#include <network_file.h>`

## Public Attributes
std::vector< std::string > | reactionPENames
| A vector of reaction names in their PEN-style format.

## Detailed Description

Holds the data parsed from a network file.

This struct is used to return the results of parsing a reaction network file. It contains the list of reaction names that define the network.

Definition at line 20 of file network_file.h.

## Member Data Documentation

## ◆ reactionPENames

std::vector<std::string> gridfire::io::ParsedNetworkData::reactionPENames

A vector of reaction names in their PEN-style format.

Projectile, Ejectile style names p(p,e+)d is a common format for representing nuclear reactions as strings.

Definition at line 27 of file network_file.h.

The documentation for this struct was generated from the following file:

- src/network/include/gridfire/io/network_file.h